
with system;
with interfaces.c;
with glfw3;

package zoomwheel is

use glfw3;
use interfaces.c;
use type interfaces.c.double;

	zdist: double := 1.0; --default

procedure scroll(
	--addr: system.address;
	addr: access GLFWwindow;
	dx  : double;
	dy  : double );
pragma Convention(C,scroll);

--procedure enable( win: system.address );
procedure enable( win: access GLFWwindow );

end zoomwheel;
